package com.lightinit.hsdatashow.mapper;

import com.lightinit.hsdatashow.entity.ObjCategory;
import com.lightinit.hsdatashow.entity.ObjCategoryExample;
import java.util.List;
import org.apache.ibatis.annotations.Param;

public interface ObjCategoryMapper {
    long countByExample(ObjCategoryExample example);

    int deleteByExample(ObjCategoryExample example);

    int deleteByPrimaryKey(Long id);

    int insert(ObjCategory record);

    int insertSelective(ObjCategory record);

    List<ObjCategory> selectByExample(ObjCategoryExample example);

    ObjCategory selectByPrimaryKey(Long id);

    int updateByExampleSelective(@Param("record") ObjCategory record, @Param("example") ObjCategoryExample example);

    int updateByExample(@Param("record") ObjCategory record, @Param("example") ObjCategoryExample example);

    int updateByPrimaryKeySelective(ObjCategory record);

    int updateByPrimaryKey(ObjCategory record);
}